import { j as U } from "./jsx-runtime-0dcb030c.js";
import { R as V, d as j, r as G, n as v, t as W, g as J, c as z, a as p, i as x, b as X, S as T, h as L, p as C, m as N, M as Y, e as R, f as $, o as k, j as Q, k as Z, l as M, q as A, s as ee, u as te, Q as se, v as ie } from "./index-943bae45.js";
import re, { useLayoutEffect as ne, useEffect as ae, useMemo as K } from "react";
import "react-dom";
class ue extends V {
  constructor(e) {
    super(), this.abortSignalConsumed = !1, this.defaultOptions = e.defaultOptions, this.setOptions(e.options), this.observers = [], this.cache = e.cache, this.logger = e.logger || j, this.queryKey = e.queryKey, this.queryHash = e.queryHash, this.initialState = e.state || oe(this.options), this.state = this.initialState, this.scheduleGc();
  }
  get meta() {
    return this.options.meta;
  }
  setOptions(e) {
    this.options = {
      ...this.defaultOptions,
      ...e
    }, this.updateCacheTime(this.options.cacheTime);
  }
  optionalRemove() {
    !this.observers.length && this.state.fetchStatus === "idle" && this.cache.remove(this);
  }
  setData(e, t) {
    const s = G(this.state.data, e, this.options);
    return this.dispatch({
      data: s,
      type: "success",
      dataUpdatedAt: t == null ? void 0 : t.updatedAt,
      manual: t == null ? void 0 : t.manual
    }), s;
  }
  setState(e, t) {
    this.dispatch({
      type: "setState",
      state: e,
      setStateOptions: t
    });
  }
  cancel(e) {
    var t;
    const s = this.promise;
    return (t = this.retryer) == null || t.cancel(e), s ? s.then(v).catch(v) : Promise.resolve();
  }
  destroy() {
    super.destroy(), this.cancel({
      silent: !0
    });
  }
  reset() {
    this.destroy(), this.setState(this.initialState);
  }
  isActive() {
    return this.observers.some((e) => e.options.enabled !== !1);
  }
  isDisabled() {
    return this.getObserversCount() > 0 && !this.isActive();
  }
  isStale() {
    return this.state.isInvalidated || !this.state.dataUpdatedAt || this.observers.some((e) => e.getCurrentResult().isStale);
  }
  isStaleByTime(e = 0) {
    return this.state.isInvalidated || !this.state.dataUpdatedAt || !W(this.state.dataUpdatedAt, e);
  }
  onFocus() {
    var e;
    const t = this.observers.find((s) => s.shouldFetchOnWindowFocus());
    t && t.refetch({
      cancelRefetch: !1
    }), (e = this.retryer) == null || e.continue();
  }
  onOnline() {
    var e;
    const t = this.observers.find((s) => s.shouldFetchOnReconnect());
    t && t.refetch({
      cancelRefetch: !1
    }), (e = this.retryer) == null || e.continue();
  }
  addObserver(e) {
    this.observers.indexOf(e) === -1 && (this.observers.push(e), this.clearGcTimeout(), this.cache.notify({
      type: "observerAdded",
      query: this,
      observer: e
    }));
  }
  removeObserver(e) {
    this.observers.indexOf(e) !== -1 && (this.observers = this.observers.filter((t) => t !== e), this.observers.length || (this.retryer && (this.abortSignalConsumed ? this.retryer.cancel({
      revert: !0
    }) : this.retryer.cancelRetry()), this.scheduleGc()), this.cache.notify({
      type: "observerRemoved",
      query: this,
      observer: e
    }));
  }
  getObserversCount() {
    return this.observers.length;
  }
  invalidate() {
    this.state.isInvalidated || this.dispatch({
      type: "invalidate"
    });
  }
  fetch(e, t) {
    var s, i;
    if (this.state.fetchStatus !== "idle") {
      if (this.state.dataUpdatedAt && t != null && t.cancelRefetch)
        this.cancel({
          silent: !0
        });
      else if (this.promise) {
        var r;
        return (r = this.retryer) == null || r.continueRetry(), this.promise;
      }
    }
    if (e && this.setOptions(e), !this.options.queryFn) {
      const o = this.observers.find((f) => f.options.queryFn);
      o && this.setOptions(o.options);
    }
    Array.isArray(this.options.queryKey) || process.env.NODE_ENV !== "production" && this.logger.error("As of v4, queryKey needs to be an Array. If you are using a string like 'repoData', please change it to an Array, e.g. ['repoData']");
    const a = J(), u = {
      queryKey: this.queryKey,
      pageParam: void 0,
      meta: this.meta
    }, h = (o) => {
      Object.defineProperty(o, "signal", {
        enumerable: !0,
        get: () => {
          if (a)
            return this.abortSignalConsumed = !0, a.signal;
        }
      });
    };
    h(u);
    const m = () => this.options.queryFn ? (this.abortSignalConsumed = !1, this.options.queryFn(u)) : Promise.reject("Missing queryFn"), y = {
      fetchOptions: t,
      options: this.options,
      queryKey: this.queryKey,
      state: this.state,
      fetchFn: m
    };
    if (h(y), (s = this.options.behavior) == null || s.onFetch(y), this.revertState = this.state, this.state.fetchStatus === "idle" || this.state.fetchMeta !== ((i = y.fetchOptions) == null ? void 0 : i.meta)) {
      var S;
      this.dispatch({
        type: "fetch",
        meta: (S = y.fetchOptions) == null ? void 0 : S.meta
      });
    }
    const d = (o) => {
      if (x(o) && o.silent || this.dispatch({
        type: "error",
        error: o
      }), !x(o)) {
        var f, b, O, P;
        (f = (b = this.cache.config).onError) == null || f.call(b, o, this), (O = (P = this.cache.config).onSettled) == null || O.call(P, this.state.data, o, this), process.env.NODE_ENV !== "production" && this.logger.error(o);
      }
      this.isFetchingOptimistic || this.scheduleGc(), this.isFetchingOptimistic = !1;
    };
    return this.retryer = z({
      fn: y.fetchFn,
      abort: a == null ? void 0 : a.abort.bind(a),
      onSuccess: (o) => {
        var f, b, O, P;
        if (typeof o > "u") {
          process.env.NODE_ENV !== "production" && this.logger.error("Query data cannot be undefined. Please make sure to return a value other than undefined from your query function. Affected query key: " + this.queryHash), d(new Error(this.queryHash + " data is undefined"));
          return;
        }
        this.setData(o), (f = (b = this.cache.config).onSuccess) == null || f.call(b, o, this), (O = (P = this.cache.config).onSettled) == null || O.call(P, o, this.state.error, this), this.isFetchingOptimistic || this.scheduleGc(), this.isFetchingOptimistic = !1;
      },
      onError: d,
      onFail: (o, f) => {
        this.dispatch({
          type: "failed",
          failureCount: o,
          error: f
        });
      },
      onPause: () => {
        this.dispatch({
          type: "pause"
        });
      },
      onContinue: () => {
        this.dispatch({
          type: "continue"
        });
      },
      retry: y.options.retry,
      retryDelay: y.options.retryDelay,
      networkMode: y.options.networkMode
    }), this.promise = this.retryer.promise, this.promise;
  }
  dispatch(e) {
    const t = (s) => {
      var i, r;
      switch (e.type) {
        case "failed":
          return {
            ...s,
            fetchFailureCount: e.failureCount,
            fetchFailureReason: e.error
          };
        case "pause":
          return {
            ...s,
            fetchStatus: "paused"
          };
        case "continue":
          return {
            ...s,
            fetchStatus: "fetching"
          };
        case "fetch":
          return {
            ...s,
            fetchFailureCount: 0,
            fetchFailureReason: null,
            fetchMeta: (i = e.meta) != null ? i : null,
            fetchStatus: X(this.options.networkMode) ? "fetching" : "paused",
            ...!s.dataUpdatedAt && {
              error: null,
              status: "loading"
            }
          };
        case "success":
          return {
            ...s,
            data: e.data,
            dataUpdateCount: s.dataUpdateCount + 1,
            dataUpdatedAt: (r = e.dataUpdatedAt) != null ? r : Date.now(),
            error: null,
            isInvalidated: !1,
            status: "success",
            ...!e.manual && {
              fetchStatus: "idle",
              fetchFailureCount: 0,
              fetchFailureReason: null
            }
          };
        case "error":
          const a = e.error;
          return x(a) && a.revert && this.revertState ? {
            ...this.revertState
          } : {
            ...s,
            error: a,
            errorUpdateCount: s.errorUpdateCount + 1,
            errorUpdatedAt: Date.now(),
            fetchFailureCount: s.fetchFailureCount + 1,
            fetchFailureReason: a,
            fetchStatus: "idle",
            status: "error"
          };
        case "invalidate":
          return {
            ...s,
            isInvalidated: !0
          };
        case "setState":
          return {
            ...s,
            ...e.state
          };
      }
    };
    this.state = t(this.state), p.batch(() => {
      this.observers.forEach((s) => {
        s.onQueryUpdate(e);
      }), this.cache.notify({
        query: this,
        type: "updated",
        action: e
      });
    });
  }
}
function oe(n) {
  const e = typeof n.initialData == "function" ? n.initialData() : n.initialData, t = typeof e < "u", s = t ? typeof n.initialDataUpdatedAt == "function" ? n.initialDataUpdatedAt() : n.initialDataUpdatedAt : 0;
  return {
    data: e,
    dataUpdateCount: 0,
    dataUpdatedAt: t ? s ?? Date.now() : 0,
    error: null,
    errorUpdateCount: 0,
    errorUpdatedAt: 0,
    fetchFailureCount: 0,
    fetchFailureReason: null,
    fetchMeta: null,
    isInvalidated: !1,
    status: t ? "success" : "loading",
    fetchStatus: "idle"
  };
}
class he extends T {
  constructor(e) {
    super(), this.config = e || {}, this.queries = [], this.queriesMap = {};
  }
  build(e, t, s) {
    var i;
    const r = t.queryKey, a = (i = t.queryHash) != null ? i : L(r, t);
    let u = this.get(a);
    return u || (u = new ue({
      cache: this,
      logger: e.getLogger(),
      queryKey: r,
      queryHash: a,
      options: e.defaultQueryOptions(t),
      state: s,
      defaultOptions: e.getQueryDefaults(r)
    }), this.add(u)), u;
  }
  add(e) {
    this.queriesMap[e.queryHash] || (this.queriesMap[e.queryHash] = e, this.queries.push(e), this.notify({
      type: "added",
      query: e
    }));
  }
  remove(e) {
    const t = this.queriesMap[e.queryHash];
    t && (e.destroy(), this.queries = this.queries.filter((s) => s !== e), t === e && delete this.queriesMap[e.queryHash], this.notify({
      type: "removed",
      query: e
    }));
  }
  clear() {
    p.batch(() => {
      this.queries.forEach((e) => {
        this.remove(e);
      });
    });
  }
  get(e) {
    return this.queriesMap[e];
  }
  getAll() {
    return this.queries;
  }
  find(e, t) {
    const [s] = C(e, t);
    return typeof s.exact > "u" && (s.exact = !0), this.queries.find((i) => N(s, i));
  }
  findAll(e, t) {
    const [s] = C(e, t);
    return Object.keys(s).length > 0 ? this.queries.filter((i) => N(s, i)) : this.queries;
  }
  notify(e) {
    p.batch(() => {
      this.listeners.forEach((t) => {
        t(e);
      });
    });
  }
  onFocus() {
    p.batch(() => {
      this.queries.forEach((e) => {
        e.onFocus();
      });
    });
  }
  onOnline() {
    p.batch(() => {
      this.queries.forEach((e) => {
        e.onOnline();
      });
    });
  }
}
class le extends T {
  constructor(e) {
    super(), this.config = e || {}, this.mutations = [], this.mutationId = 0;
  }
  build(e, t, s) {
    const i = new Y({
      mutationCache: this,
      logger: e.getLogger(),
      mutationId: ++this.mutationId,
      options: e.defaultMutationOptions(t),
      state: s,
      defaultOptions: t.mutationKey ? e.getMutationDefaults(t.mutationKey) : void 0
    });
    return this.add(i), i;
  }
  add(e) {
    this.mutations.push(e), this.notify({
      type: "added",
      mutation: e
    });
  }
  remove(e) {
    this.mutations = this.mutations.filter((t) => t !== e), this.notify({
      type: "removed",
      mutation: e
    });
  }
  clear() {
    p.batch(() => {
      this.mutations.forEach((e) => {
        this.remove(e);
      });
    });
  }
  getAll() {
    return this.mutations;
  }
  find(e) {
    return typeof e.exact > "u" && (e.exact = !0), this.mutations.find((t) => R(e, t));
  }
  findAll(e) {
    return this.mutations.filter((t) => R(e, t));
  }
  notify(e) {
    p.batch(() => {
      this.listeners.forEach((t) => {
        t(e);
      });
    });
  }
  resumePausedMutations() {
    var e;
    return this.resuming = ((e = this.resuming) != null ? e : Promise.resolve()).then(() => {
      const t = this.mutations.filter((s) => s.state.isPaused);
      return p.batch(() => t.reduce((s, i) => s.then(() => i.continue().catch(v)), Promise.resolve()));
    }).then(() => {
      this.resuming = void 0;
    }), this.resuming;
  }
}
function ce() {
  return {
    onFetch: (n) => {
      n.fetchFn = () => {
        var e, t, s, i, r, a;
        const u = (e = n.fetchOptions) == null || (t = e.meta) == null ? void 0 : t.refetchPage, h = (s = n.fetchOptions) == null || (i = s.meta) == null ? void 0 : i.fetchMore, m = h == null ? void 0 : h.pageParam, y = (h == null ? void 0 : h.direction) === "forward", S = (h == null ? void 0 : h.direction) === "backward", d = ((r = n.state.data) == null ? void 0 : r.pages) || [], o = ((a = n.state.data) == null ? void 0 : a.pageParams) || [];
        let f = o, b = !1;
        const O = (l) => {
          Object.defineProperty(l, "signal", {
            enumerable: !0,
            get: () => {
              var g;
              if ((g = n.signal) != null && g.aborted)
                b = !0;
              else {
                var c;
                (c = n.signal) == null || c.addEventListener("abort", () => {
                  b = !0;
                });
              }
              return n.signal;
            }
          });
        }, P = n.options.queryFn || (() => Promise.reject("Missing queryFn")), E = (l, g, c, q) => (f = q ? [g, ...f] : [...f, g], q ? [c, ...l] : [...l, c]), F = (l, g, c, q) => {
          if (b)
            return Promise.reject("Cancelled");
          if (typeof c > "u" && !g && l.length)
            return Promise.resolve(l);
          const w = {
            queryKey: n.queryKey,
            pageParam: c,
            meta: n.options.meta
          };
          O(w);
          const _ = P(w);
          return Promise.resolve(_).then((B) => E(l, c, B, q));
        };
        let D;
        if (!d.length)
          D = F([]);
        else if (y) {
          const l = typeof m < "u", g = l ? m : I(n.options, d);
          D = F(d, l, g);
        } else if (S) {
          const l = typeof m < "u", g = l ? m : de(n.options, d);
          D = F(d, l, g, !0);
        } else {
          f = [];
          const l = typeof n.options.getNextPageParam > "u";
          D = (u && d[0] ? u(d[0], 0, d) : !0) ? F([], l, o[0]) : Promise.resolve(E([], o[0], d[0]));
          for (let c = 1; c < d.length; c++)
            D = D.then((q) => {
              if (u && d[c] ? u(d[c], c, d) : !0) {
                const _ = l ? o[c] : I(n.options, q);
                return F(q, l, _);
              }
              return Promise.resolve(E(q, o[c], d[c]));
            });
        }
        return D.then((l) => ({
          pages: l,
          pageParams: f
        }));
      };
    }
  };
}
function I(n, e) {
  return n.getNextPageParam == null ? void 0 : n.getNextPageParam(e[e.length - 1], e);
}
function de(n, e) {
  return n.getPreviousPageParam == null ? void 0 : n.getPreviousPageParam(e[0], e);
}
class fe {
  constructor(e = {}) {
    this.queryCache = e.queryCache || new he(), this.mutationCache = e.mutationCache || new le(), this.logger = e.logger || j, this.defaultOptions = e.defaultOptions || {}, this.queryDefaults = [], this.mutationDefaults = [], this.mountCount = 0, process.env.NODE_ENV !== "production" && e.logger && this.logger.error("Passing a custom logger has been deprecated and will be removed in the next major version.");
  }
  mount() {
    this.mountCount++, this.mountCount === 1 && (this.unsubscribeFocus = $.subscribe(() => {
      $.isFocused() && (this.resumePausedMutations(), this.queryCache.onFocus());
    }), this.unsubscribeOnline = k.subscribe(() => {
      k.isOnline() && (this.resumePausedMutations(), this.queryCache.onOnline());
    }));
  }
  unmount() {
    var e, t;
    this.mountCount--, this.mountCount === 0 && ((e = this.unsubscribeFocus) == null || e.call(this), this.unsubscribeFocus = void 0, (t = this.unsubscribeOnline) == null || t.call(this), this.unsubscribeOnline = void 0);
  }
  isFetching(e, t) {
    const [s] = C(e, t);
    return s.fetchStatus = "fetching", this.queryCache.findAll(s).length;
  }
  isMutating(e) {
    return this.mutationCache.findAll({
      ...e,
      fetching: !0
    }).length;
  }
  getQueryData(e, t) {
    var s;
    return (s = this.queryCache.find(e, t)) == null ? void 0 : s.state.data;
  }
  ensureQueryData(e, t, s) {
    const i = Q(e, t, s), r = this.getQueryData(i.queryKey);
    return r ? Promise.resolve(r) : this.fetchQuery(i);
  }
  getQueriesData(e) {
    return this.getQueryCache().findAll(e).map(({
      queryKey: t,
      state: s
    }) => {
      const i = s.data;
      return [t, i];
    });
  }
  setQueryData(e, t, s) {
    const i = this.queryCache.find(e), r = i == null ? void 0 : i.state.data, a = Z(t, r);
    if (typeof a > "u")
      return;
    const u = Q(e), h = this.defaultQueryOptions(u);
    return this.queryCache.build(this, h).setData(a, {
      ...s,
      manual: !0
    });
  }
  setQueriesData(e, t, s) {
    return p.batch(() => this.getQueryCache().findAll(e).map(({
      queryKey: i
    }) => [i, this.setQueryData(i, t, s)]));
  }
  getQueryState(e, t) {
    var s;
    return (s = this.queryCache.find(e, t)) == null ? void 0 : s.state;
  }
  removeQueries(e, t) {
    const [s] = C(e, t), i = this.queryCache;
    p.batch(() => {
      i.findAll(s).forEach((r) => {
        i.remove(r);
      });
    });
  }
  resetQueries(e, t, s) {
    const [i, r] = C(e, t, s), a = this.queryCache, u = {
      type: "active",
      ...i
    };
    return p.batch(() => (a.findAll(i).forEach((h) => {
      h.reset();
    }), this.refetchQueries(u, r)));
  }
  cancelQueries(e, t, s) {
    const [i, r = {}] = C(e, t, s);
    typeof r.revert > "u" && (r.revert = !0);
    const a = p.batch(() => this.queryCache.findAll(i).map((u) => u.cancel(r)));
    return Promise.all(a).then(v).catch(v);
  }
  invalidateQueries(e, t, s) {
    const [i, r] = C(e, t, s);
    return p.batch(() => {
      var a, u;
      if (this.queryCache.findAll(i).forEach((m) => {
        m.invalidate();
      }), i.refetchType === "none")
        return Promise.resolve();
      const h = {
        ...i,
        type: (a = (u = i.refetchType) != null ? u : i.type) != null ? a : "active"
      };
      return this.refetchQueries(h, r);
    });
  }
  refetchQueries(e, t, s) {
    const [i, r] = C(e, t, s), a = p.batch(() => this.queryCache.findAll(i).filter((h) => !h.isDisabled()).map((h) => {
      var m;
      return h.fetch(void 0, {
        ...r,
        cancelRefetch: (m = r == null ? void 0 : r.cancelRefetch) != null ? m : !0,
        meta: {
          refetchPage: i.refetchPage
        }
      });
    }));
    let u = Promise.all(a).then(v);
    return r != null && r.throwOnError || (u = u.catch(v)), u;
  }
  fetchQuery(e, t, s) {
    const i = Q(e, t, s), r = this.defaultQueryOptions(i);
    typeof r.retry > "u" && (r.retry = !1);
    const a = this.queryCache.build(this, r);
    return a.isStaleByTime(r.staleTime) ? a.fetch(r) : Promise.resolve(a.state.data);
  }
  prefetchQuery(e, t, s) {
    return this.fetchQuery(e, t, s).then(v).catch(v);
  }
  fetchInfiniteQuery(e, t, s) {
    const i = Q(e, t, s);
    return i.behavior = ce(), this.fetchQuery(i);
  }
  prefetchInfiniteQuery(e, t, s) {
    return this.fetchInfiniteQuery(e, t, s).then(v).catch(v);
  }
  resumePausedMutations() {
    return this.mutationCache.resumePausedMutations();
  }
  getQueryCache() {
    return this.queryCache;
  }
  getMutationCache() {
    return this.mutationCache;
  }
  getLogger() {
    return this.logger;
  }
  getDefaultOptions() {
    return this.defaultOptions;
  }
  setDefaultOptions(e) {
    this.defaultOptions = e;
  }
  setQueryDefaults(e, t) {
    const s = this.queryDefaults.find((i) => M(e) === M(i.queryKey));
    s ? s.defaultOptions = t : this.queryDefaults.push({
      queryKey: e,
      defaultOptions: t
    });
  }
  getQueryDefaults(e) {
    if (!e)
      return;
    const t = this.queryDefaults.find((s) => A(e, s.queryKey));
    return process.env.NODE_ENV !== "production" && this.queryDefaults.filter((i) => A(e, i.queryKey)).length > 1 && this.logger.error("[QueryClient] Several query defaults match with key '" + JSON.stringify(e) + "'. The first matching query defaults are used. Please check how query defaults are registered. Order does matter here. cf. https://react-query.tanstack.com/reference/QueryClient#queryclientsetquerydefaults."), t == null ? void 0 : t.defaultOptions;
  }
  setMutationDefaults(e, t) {
    const s = this.mutationDefaults.find((i) => M(e) === M(i.mutationKey));
    s ? s.defaultOptions = t : this.mutationDefaults.push({
      mutationKey: e,
      defaultOptions: t
    });
  }
  getMutationDefaults(e) {
    if (!e)
      return;
    const t = this.mutationDefaults.find((s) => A(e, s.mutationKey));
    return process.env.NODE_ENV !== "production" && this.mutationDefaults.filter((i) => A(e, i.mutationKey)).length > 1 && this.logger.error("[QueryClient] Several mutation defaults match with key '" + JSON.stringify(e) + "'. The first matching mutation defaults are used. Please check how mutation defaults are registered. Order does matter here. cf. https://react-query.tanstack.com/reference/QueryClient#queryclientsetmutationdefaults."), t == null ? void 0 : t.defaultOptions;
  }
  defaultQueryOptions(e) {
    if (e != null && e._defaulted)
      return e;
    const t = {
      ...this.defaultOptions.queries,
      ...this.getQueryDefaults(e == null ? void 0 : e.queryKey),
      ...e,
      _defaulted: !0
    };
    return !t.queryHash && t.queryKey && (t.queryHash = L(t.queryKey, t)), typeof t.refetchOnReconnect > "u" && (t.refetchOnReconnect = t.networkMode !== "always"), typeof t.useErrorBoundary > "u" && (t.useErrorBoundary = !!t.suspense), t;
  }
  defaultMutationOptions(e) {
    return e != null && e._defaulted ? e : {
      ...this.defaultOptions.mutations,
      ...this.getMutationDefaults(e == null ? void 0 : e.mutationKey),
      ...e,
      _defaulted: !0
    };
  }
  clear() {
    this.queryCache.clear(), this.mutationCache.clear();
  }
}
function ye() {
  const n = ee();
  let e = null, t = null;
  return {
    clear() {
      e = null, t = null;
    },
    notify() {
      n(() => {
        let s = e;
        for (; s; )
          s.callback(), s = s.next;
      });
    },
    get() {
      let s = [], i = e;
      for (; i; )
        s.push(i), i = i.next;
      return s;
    },
    subscribe(s) {
      let i = !0, r = t = {
        callback: s,
        next: null,
        prev: t
      };
      return r.prev ? r.prev.next = r : e = r, function() {
        !i || e === null || (i = !1, r.next ? r.next.prev = r.prev : t = r.prev, r.prev ? r.prev.next = r.next : e = r.next);
      };
    }
  };
}
const H = {
  notify() {
  },
  get: () => []
};
function pe(n, e) {
  let t, s = H;
  function i(S) {
    return h(), s.subscribe(S);
  }
  function r() {
    s.notify();
  }
  function a() {
    y.onStateChange && y.onStateChange();
  }
  function u() {
    return !!t;
  }
  function h() {
    t || (t = e ? e.addNestedSub(a) : n.subscribe(a), s = ye());
  }
  function m() {
    t && (t(), t = void 0, s.clear(), s = H);
  }
  const y = {
    addNestedSub: i,
    notifyNestedSubs: r,
    handleChangeWrapper: a,
    isSubscribed: u,
    trySubscribe: h,
    tryUnsubscribe: m,
    getListeners: () => s
  };
  return y;
}
const me = typeof window < "u" && typeof window.document < "u" && typeof window.document.createElement < "u", ge = me ? ne : ae;
function ve({
  store: n,
  context: e,
  children: t,
  serverState: s
}) {
  const i = K(() => {
    const u = pe(n);
    return {
      store: n,
      subscription: u,
      getServerState: s ? () => s : void 0
    };
  }, [n, s]), r = K(() => n.getState(), [n]);
  ge(() => {
    const {
      subscription: u
    } = i;
    return u.onStateChange = u.notifyNestedSubs, u.trySubscribe(), r !== n.getState() && u.notifyNestedSubs(), () => {
      u.tryUnsubscribe(), u.onStateChange = void 0;
    };
  }, [i, r]);
  const a = e || te;
  return /* @__PURE__ */ re.createElement(a.Provider, {
    value: i
  }, t);
}
const Se = ({ children: n }) => {
  const e = new fe();
  return /* @__PURE__ */ U.jsx(se, { client: e, children: /* @__PURE__ */ U.jsx(ve, { store: ie, children: n }) });
};
export {
  Se as default
};
//# sourceMappingURL=ConvoStackWrapper-ec6e6533.js.map
